Create Service Type
curl --request POST \
--url https://api.example.com/back-office/onboard/service-types \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"url": "<string>",
"description": "<string>",
"configurationSchema": {}
}
'import requests
url = "https://api.example.com/back-office/onboard/service-types"
payload = {
"code": "<string>",
"name": "<string>",
"url": "<string>",
"description": "<string>",
"configurationSchema": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
url: '<string>',
description: '<string>',
configurationSchema: {}
})
};
fetch('https://api.example.com/back-office/onboard/service-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"code": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"url": "<string>",
"description": "<string>",
"configurationSchema": {}
},
"message": "<string>"
}{
"code": "validation_error",
"message": "<string>",
"data": [
"<unknown>"
]
}{
"code": "unauthorized",
"message": "<string>",
"data": "<unknown>"
}{
"code": "resource_already_exists",
"message": "<string>",
"data": "<unknown>"
}{
"code": "internal_server_error",
"message": "<string>",
"data": "<unknown>"
}Onboarding
Create Service Type
Create a new service type.
POST
/
back-office
/
onboard
/
service-types
Create Service Type
Body
application/json
Create service type request body
Response
Successfully created service type
Show child attributes
Show child attributes
Available options:
health_status_ok, health_status_error, validation_error, bad_request, unauthorized, forbidden, not_found, method_not_allowed, internal_server_error, organization_not_found, cannot_access_organization, api_key_not_found, resource_already_exists ⌘I